#include <NetworkKit.h>
#include <NetKit.h>
#include <AppKit.h>
#include <SupportKit.h>

#define NWG_OK  0
#define NWG_SERIAL1_CONNECTED  1
#define NWG_SERIAL1_DISCONNECTED  -1
#define NWG_SERIAL2_CONNECTED  2
#define NWG_SERIAL2_DISCONNECTED  -2


class TNWGLooper : public BLooper
{
public:
  TNWGLooper(BLooper *Target, BMessage *Message, BNetEndpoint *NWGEp, BNetAddress *NWGAdrs);
  ~TNWGLooper();
  void MessageReceived( BMessage *msg );
  void Receiving();
  bool loop;

private:
  BLooper *MessageTarget;
  BMessage *InfoMessage;
  BNetEndpoint *NWGEndpoint;
  BNetAddress *NWGAddress;
};

class TNWG
{
public:
  TNWG(BLooper *Target , BMessage *Message , const char *NWGAdr);
  ~TNWG();
  int Serial1Connect();
  int Serial1DisConnect();
  int Serial2Connect();
  int Serial2DisConnect();
  int Serial1Check();
  int Serial2Check();

private:
  TNWGLooper *NWGLooper;
  BNetAddress NWGAddress;
  BNetAddress LocalAddress;
  BNetEndpoint NWGEndpoint;
  unsigned int NWG_S1C_P[5];
  unsigned int NWG_S2C_P[5];
  unsigned int NWG_S1D_P[5];
  unsigned int NWG_S2D_P[5];
  unsigned int NWG_S1_C[6];
  unsigned int NWG_S2_C[6];
};
